{
	saved_FirstTime [1]
	
	Init[()
	{
		SetNationality(1);
		
		if (saved_FirstTime = 1)
		{
			Rgun = Random(0, 1);
			switch(Rgun)
			{
				case 0
				{
					GiveWeapon (53);
				}
				case 1
				{
					GiveWeapon (55);
				}

			}

			PlayAnimation (7);
			SetHealth (256);
			Rdrop = Random(0, 1);
			DropWeaponOnDeath (Rdrop);

			Rstance = Random(0, 1);
			switch(Rstance)
			{
				case 0
				{
					SetRunning();
				}
				case 1
				{
					SetCrouching();	
				}	
			}	

			saved_FirstTime = 0;
		}
	}]
	
	DelayReached[(x)
	{
		if(x = 10)
		{
			FollowPath( "german3", 0 );
			FollowPathCallback( 127, "Attack01");	
		}	
	}]
	
	BattleStart[()
	{
		who = GetID();
		switch (who)
		{
			case "gerry1"
			{
				FollowPath( "german1", 0);
				FollowPathCallback( 127, "Attack01");	
			}
			case "gerry2"
			{
				FollowPath( "german2", 0);
				FollowPathCallback( 127, "Attack01");	
			}
			case "gerry3"
			{
				Delay(5, 10);
			}
			case "gerry4"
			{
				FollowPath("german1", 0);
				FollowPathCallback( 127, "Attack01");	
			}
			case "gerry5"
			{
				FollowPath("german2", 0);
				FollowPathCallback( 127, "Attack01");	
			}	
		}		
	}]
	
	Attack01[()
	{
		SetState_Patrol(0);
		SetAttackDistance(15, 5);
		SetLineOfSight(0);
		gerry = GetID();
		switch(gerry)
		{
			case "gerry3"	
			{
				OnlyAttackPlayer(true);	
			}	
		}
	}]
}